/*******************************************************************************
 *  Copyright CONSORTIUM COCKTAIL (www.cocktail.org), 1995, 2008
 *  
 *  This software is governed by the CeCILL license under French law and abiding
 *  by the rules of distribution of free software. You can use, modify and/or
 *  redistribute the software under the terms of the CeCILL license as circulated
 *  by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".
 *  
 *  As a counterpart to the access to the source code and rights to copy, modify
 *  and redistribute granted by the license, users are provided only with a
 *  limited warranty and the software's author, the holder of the economic
 *  rights, and the successive licensors have only limited liability.
 *  
 *  In this respect, the user's attention is drawn to the risks associated with
 *  loading, using, modifying and/or developing or reproducing the software by
 *  the user in light of its specific status of free software, that may mean that
 *  it is complicated to manipulate, and that also therefore means that it is
 *  reserved for developers and experienced professionals having in-depth
 *  computer knowledge. Users are therefore encouraged to load and test the
 *  software's suitability as regards their requirements in conditions enabling
 *  the security of their systems and/or data to be ensured and, more generally,
 *  to use and operate it in the same conditions as regards security.
 *  
 *  The fact that you are presently reading this means that you have had
 *  knowledge of the CeCILL license and that you accept its terms.
 * 
 *******************************************************************************/

package org.cocktail.mangue.client.gui.individu;

import java.awt.BorderLayout;
import java.util.Date;
import java.util.Enumeration;
import java.util.Vector;

import javax.swing.BorderFactory;
import javax.swing.JFrame;
import javax.swing.JScrollPane;
import javax.swing.ListSelectionModel;
import javax.swing.SwingConstants;

import org.cocktail.application.client.swing.TableSorter;
import org.cocktail.application.client.swing.ZEOTable;
import org.cocktail.application.client.swing.ZEOTableModel;
import org.cocktail.application.client.swing.ZEOTableModelColumn;
import org.cocktail.mangue.common.modele.nomenclatures.medical.EOLieuAccident;
import org.cocktail.mangue.common.modele.nomenclatures.medical.EONatureLesions;
import org.cocktail.mangue.common.modele.nomenclatures.medical.EOSiegeLesions;
import org.cocktail.mangue.common.modele.nomenclatures.medical.EOTypeAccidentTrav;
import org.cocktail.mangue.common.utilities.CocktailConstantes;
import org.cocktail.application.common.utilities.CocktailFormats;
import org.cocktail.mangue.common.utilities.CocktailIcones;
import org.cocktail.mangue.modele.mangue.acc_travail.EOCertificatMedical;
import org.cocktail.mangue.modele.mangue.acc_travail.EODeclarationAccident;
import org.cocktail.mangue.modele.mangue.acc_travail.EORepartLesions;

import com.webobjects.eointerface.EODisplayGroup;
import com.webobjects.foundation.NSArray;


/**
 *
 * @author  cpinsard
 */
public class DeclarationAccidentView extends JFrame {

    /**
	 * 
	 */
	private static final long serialVersionUID = -6195866169790317637L;
	protected EODisplayGroup eod, eodCertificat, eodLesion;
	protected ZEOTable myEOTable, myEOTableCertificat, myEOTableLesion;
	protected ZEOTableModel myTableModel, myTableModelCertificat, myTableModelLesion;
	protected TableSorter myTableSorter, myTableSorterCertificat, myTableSorterLesion;

	/** Creates new form TemplateJDialog */
    public DeclarationAccidentView(java.awt.Frame parent, EODisplayGroup dg,EODisplayGroup dgCertificat,EODisplayGroup dgLesion, boolean modal) {
       // super(parent, modal);

    	eod = dg;
    	eodCertificat = dgCertificat;
    	eodLesion = dgLesion;
        initComponents();
        initGui();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        buttonGroup1 = new javax.swing.ButtonGroup();
        viewAccident = new javax.swing.JPanel();
        btnModifier = new javax.swing.JButton();
        btnAjouter = new javax.swing.JButton();
        btnSupprimer = new javax.swing.JButton();
        viewTable = new javax.swing.JPanel();
        jPanel2 = new javax.swing.JPanel();
        tfDate = new javax.swing.JTextField();
        jLabel17 = new javax.swing.JLabel();
        jLabel23 = new javax.swing.JLabel();
        tfHeure = new javax.swing.JTextField();
        jLabel24 = new javax.swing.JLabel();
        jLabel18 = new javax.swing.JLabel();
        popupType = new javax.swing.JComboBox();
        jLabel26 = new javax.swing.JLabel();
        tfJour = new javax.swing.JTextField();
        jLabel27 = new javax.swing.JLabel();
        tfLocalite = new javax.swing.JTextField();
        popupLieux = new javax.swing.JComboBox();
        jScrollPane1 = new javax.swing.JScrollPane();
        taCirconstances = new javax.swing.JTextArea();
        jScrollPane2 = new javax.swing.JScrollPane();
        taLieuTransport = new javax.swing.JTextArea();
        jLabel22 = new javax.swing.JLabel();
        jLabel25 = new javax.swing.JLabel();
        viewTableLesion = new javax.swing.JPanel();
        btnSupprimerLesion = new javax.swing.JButton();
        btnModifierLesion = new javax.swing.JButton();
        viewTableCertificat = new javax.swing.JPanel();
        btnAjouterCertificat = new javax.swing.JButton();
        btnModifierCertificat = new javax.swing.JButton();
        jPanel1 = new javax.swing.JPanel();
        popupSuite = new javax.swing.JComboBox();
        tfHeureAm1 = new javax.swing.JTextField();
        tfHeureAm2 = new javax.swing.JTextField();
        tfHeurePm2 = new javax.swing.JTextField();
        tfHeurePm1 = new javax.swing.JTextField();
        jLabel21 = new javax.swing.JLabel();
        jLabel20 = new javax.swing.JLabel();
        jLabel19 = new javax.swing.JLabel();
        btnSupprimerCertificat = new javax.swing.JButton();
        tfTitreDetailContrat = new javax.swing.JTextField();
        tfTitreDetailContrat1 = new javax.swing.JTextField();
        btnAjouterLesion = new javax.swing.JButton();
        jPanel3 = new javax.swing.JPanel();
        btnConges = new javax.swing.JButton();
        btnAnnuler = new javax.swing.JButton();
        lblConge = new javax.swing.JLabel();
        btnValider = new javax.swing.JButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setTitle("GESTION DES ENFANTS");

        btnModifier.setToolTipText("Modification");

        btnAjouter.setToolTipText("Ajout d'une déclaration");

        btnSupprimer.setToolTipText("Suppression");

        viewTable.setBorder(javax.swing.BorderFactory.createBevelBorder(javax.swing.border.BevelBorder.RAISED));
        viewTable.setToolTipText("Liste des enfants de l'agent");
        viewTable.setLayout(new java.awt.BorderLayout());

        jPanel2.setBorder(javax.swing.BorderFactory.createBevelBorder(javax.swing.border.BevelBorder.RAISED));

        tfDate.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfDate.setToolTipText("Date d'accident");

        jLabel17.setFont(new java.awt.Font("Tahoma", 1, 11));
        jLabel17.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel17.setText("Date");

        jLabel23.setFont(new java.awt.Font("Tahoma", 1, 11));
        jLabel23.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel23.setText("Heure");

        tfHeure.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfHeure.setToolTipText("Heure");

        jLabel24.setFont(new java.awt.Font("Tahoma", 1, 11));
        jLabel24.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel24.setText("Type");

        jLabel18.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel18.setText("Lieu");

        popupType.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        jLabel26.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel26.setText("Jour");

        tfJour.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfJour.setToolTipText("Jour");

        jLabel27.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel27.setText("Localité");

        tfLocalite.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        tfLocalite.setToolTipText("Localité de l'accident");

        popupLieux.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        taCirconstances.setColumns(20);
        taCirconstances.setLineWrap(true);
        taCirconstances.setRows(5);
        jScrollPane1.setViewportView(taCirconstances);

        taLieuTransport.setColumns(20);
        taLieuTransport.setLineWrap(true);
        taLieuTransport.setRows(5);
        jScrollPane2.setViewportView(taLieuTransport);

        jLabel22.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        jLabel22.setText("Circonstances");

        jLabel25.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        jLabel25.setText("Lieu transport");

        viewTableLesion.setLayout(new java.awt.BorderLayout());

        btnSupprimerLesion.setToolTipText("Modification de l'enfant");

        btnModifierLesion.setToolTipText("Ajout d'un enfant");

        viewTableCertificat.setLayout(new java.awt.BorderLayout());

        btnAjouterCertificat.setToolTipText("Ajout d'un enfant");

        btnModifierCertificat.setToolTipText("Ajout d'un enfant");

        popupSuite.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));
        popupSuite.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                popupSuiteActionPerformed(evt);
            }
        });

        tfHeureAm1.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfHeureAm1.setToolTipText("Horaire de travail (AM)");

        tfHeureAm2.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfHeureAm2.setToolTipText("Horaire de travail (AM FIN)");

        tfHeurePm2.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfHeurePm2.setToolTipText("Horaire de travail (PM Fin)");

        tfHeurePm1.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfHeurePm1.setToolTipText("Horaires de travail (PM)");

        jLabel21.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel21.setText("Horaires PM");

        jLabel20.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel20.setText("Horaires AM");

        jLabel19.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel19.setText("Suite probable");

        org.jdesktop.layout.GroupLayout jPanel1Layout = new org.jdesktop.layout.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .add(jLabel20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 75, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(tfHeureAm1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 57, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(tfHeureAm2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 57, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jLabel21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 74, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(tfHeurePm1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 57, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(tfHeurePm2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 57, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jLabel19, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 81, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(popupSuite, 0, 246, Short.MAX_VALUE)
                .addContainerGap())
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(org.jdesktop.layout.GroupLayout.LEADING, jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(jLabel20)
                        .add(tfHeureAm1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(tfHeureAm2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(jLabel21)
                        .add(tfHeurePm1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(tfHeurePm2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(jLabel19)
                        .add(popupSuite, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        btnSupprimerCertificat.setToolTipText("Ajout d'un enfant");

        tfTitreDetailContrat.setBackground(new java.awt.Color(255, 204, 204));
        tfTitreDetailContrat.setEditable(false);
        tfTitreDetailContrat.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfTitreDetailContrat.setText("LESIONS");
        tfTitreDetailContrat.setAutoscrolls(false);
        tfTitreDetailContrat.setBorder(new javax.swing.border.SoftBevelBorder(javax.swing.border.BevelBorder.RAISED));

        tfTitreDetailContrat1.setBackground(new java.awt.Color(255, 204, 204));
        tfTitreDetailContrat1.setEditable(false);
        tfTitreDetailContrat1.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfTitreDetailContrat1.setText("CERTIFICATS");
        tfTitreDetailContrat1.setAutoscrolls(false);
        tfTitreDetailContrat1.setBorder(new javax.swing.border.SoftBevelBorder(javax.swing.border.BevelBorder.RAISED));

        btnAjouterLesion.setToolTipText("Ajout une lésion");

        org.jdesktop.layout.GroupLayout jPanel2Layout = new org.jdesktop.layout.GroupLayout(jPanel2);
        jPanel2.setLayout(jPanel2Layout);
        jPanel2Layout.setHorizontalGroup(
            jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, jPanel2Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(org.jdesktop.layout.GroupLayout.LEADING, viewTableCertificat, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 756, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.LEADING, viewTableLesion, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 756, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.LEADING, jPanel2Layout.createSequentialGroup()
                        .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                            .add(org.jdesktop.layout.GroupLayout.LEADING, jLabel18, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .add(org.jdesktop.layout.GroupLayout.LEADING, jLabel24, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 52, Short.MAX_VALUE))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                            .add(popupLieux, 0, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .add(popupType, 0, 146, Short.MAX_VALUE))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                            .add(jLabel27, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .add(jLabel17, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 52, Short.MAX_VALUE))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                            .add(jPanel2Layout.createSequentialGroup()
                                .add(tfDate, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 87, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(jLabel23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 49, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(tfHeure, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 48, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(jLabel26, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 35, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(tfJour, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 75, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(tfLocalite)))
                    .add(jPanel2Layout.createSequentialGroup()
                        .add(tfTitreDetailContrat, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 669, Short.MAX_VALUE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnAjouterLesion, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnModifierLesion, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnSupprimerLesion, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(org.jdesktop.layout.GroupLayout.LEADING, jPanel1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .add(jPanel2Layout.createSequentialGroup()
                        .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(jScrollPane1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 406, Short.MAX_VALUE)
                            .add(jLabel22))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(jScrollPane2, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 340, Short.MAX_VALUE)
                            .add(jLabel25)))
                    .add(org.jdesktop.layout.GroupLayout.LEADING, jPanel2Layout.createSequentialGroup()
                        .add(tfTitreDetailContrat1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 669, Short.MAX_VALUE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnAjouterCertificat, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnModifierCertificat, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnSupprimerCertificat, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap())
        );
        jPanel2Layout.setVerticalGroup(
            jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel2Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel24)
                    .add(popupType, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel17)
                    .add(tfDate, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel23)
                    .add(tfHeure, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel26)
                    .add(tfJour, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel18)
                    .add(popupLieux, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel27)
                    .add(tfLocalite, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 14, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel25, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 14, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                    .add(jScrollPane2, 0, 60, Short.MAX_VALUE)
                    .add(jScrollPane1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 60, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(btnSupprimerLesion, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(btnModifierLesion, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(btnAjouterLesion, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(tfTitreDetailContrat, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(viewTableLesion, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 56, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel2Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(btnAjouterCertificat, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(btnModifierCertificat, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(btnSupprimerCertificat, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(tfTitreDetailContrat1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(viewTableCertificat, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 108, Short.MAX_VALUE)
                .addContainerGap())
        );

        btnConges.setText("CONGE");
        btnConges.setToolTipText("Cognés associés à la déclaration d'accident");

        btnAnnuler.setToolTipText("Annuler la saisie");

        lblConge.setFont(new java.awt.Font("Tahoma", 0, 12));
        lblConge.setText("jLabel1");

        btnValider.setToolTipText("Valider la saisie");

        org.jdesktop.layout.GroupLayout jPanel3Layout = new org.jdesktop.layout.GroupLayout(jPanel3);
        jPanel3.setLayout(jPanel3Layout);
        jPanel3Layout.setHorizontalGroup(
            jPanel3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel3Layout.createSequentialGroup()
                .addContainerGap()
                .add(btnConges, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 125, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(lblConge, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 307, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 211, Short.MAX_VALUE)
                .add(btnAnnuler, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 54, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(btnValider, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 53, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap())
        );
        jPanel3Layout.setVerticalGroup(
            jPanel3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel3Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jPanel3Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(btnConges)
                        .add(lblConge))
                    .add(btnValider, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(btnAnnuler, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap())
        );

        org.jdesktop.layout.GroupLayout viewAccidentLayout = new org.jdesktop.layout.GroupLayout(viewAccident);
        viewAccident.setLayout(viewAccidentLayout);
        viewAccidentLayout.setHorizontalGroup(
            viewAccidentLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, viewAccidentLayout.createSequentialGroup()
                .addContainerGap()
                .add(viewAccidentLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(org.jdesktop.layout.GroupLayout.LEADING, jPanel2, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .add(viewAccidentLayout.createSequentialGroup()
                        .add(viewTable, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 751, Short.MAX_VALUE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(viewAccidentLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(org.jdesktop.layout.GroupLayout.TRAILING, viewAccidentLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                .add(btnSupprimer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(btnModifier, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(org.jdesktop.layout.GroupLayout.TRAILING, btnAjouter, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                    .add(jPanel3, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                .addContainerGap())
        );
        viewAccidentLayout.setVerticalGroup(
            viewAccidentLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(viewAccidentLayout.createSequentialGroup()
                .addContainerGap()
                .add(viewAccidentLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(viewAccidentLayout.createSequentialGroup()
                        .add(btnAjouter, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnModifier, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnSupprimer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(viewTable, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 84, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel2, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 453, Short.MAX_VALUE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap())
        );

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(viewAccident, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(148, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(viewAccident, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(143, Short.MAX_VALUE))
        );

        java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        setBounds((screenSize.width-974)/2, (screenSize.height-808)/2, 974, 808);
    }// </editor-fold>//GEN-END:initComponents

    private void popupSuiteActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_popupSuiteActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_popupSuiteActionPerformed

    /**
    * @param args the command line arguments
    */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
            	DeclarationAccidentView dialog = new DeclarationAccidentView(new javax.swing.JFrame(), null, null, null, true);
                dialog.addWindowListener(new java.awt.event.WindowAdapter() {
                    public void windowClosing(java.awt.event.WindowEvent e) {
                        System.exit(0);
                    }
                });
                dialog.setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnAjouter;
    private javax.swing.JButton btnAjouterCertificat;
    private javax.swing.JButton btnAjouterLesion;
    private javax.swing.JButton btnAnnuler;
    private javax.swing.JButton btnConges;
    private javax.swing.JButton btnModifier;
    private javax.swing.JButton btnModifierCertificat;
    private javax.swing.JButton btnModifierLesion;
    private javax.swing.JButton btnSupprimer;
    private javax.swing.JButton btnSupprimerCertificat;
    private javax.swing.JButton btnSupprimerLesion;
    private javax.swing.JButton btnValider;
    private javax.swing.ButtonGroup buttonGroup1;
    private javax.swing.JLabel jLabel17;
    private javax.swing.JLabel jLabel18;
    private javax.swing.JLabel jLabel19;
    private javax.swing.JLabel jLabel20;
    private javax.swing.JLabel jLabel21;
    private javax.swing.JLabel jLabel22;
    private javax.swing.JLabel jLabel23;
    private javax.swing.JLabel jLabel24;
    private javax.swing.JLabel jLabel25;
    private javax.swing.JLabel jLabel26;
    private javax.swing.JLabel jLabel27;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JPanel jPanel3;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JScrollPane jScrollPane2;
    private javax.swing.JLabel lblConge;
    private javax.swing.JComboBox popupLieux;
    private javax.swing.JComboBox popupSuite;
    private javax.swing.JComboBox popupType;
    private javax.swing.JTextArea taCirconstances;
    private javax.swing.JTextArea taLieuTransport;
    protected javax.swing.JTextField tfDate;
    protected javax.swing.JTextField tfHeure;
    protected javax.swing.JTextField tfHeureAm1;
    protected javax.swing.JTextField tfHeureAm2;
    protected javax.swing.JTextField tfHeurePm1;
    protected javax.swing.JTextField tfHeurePm2;
    protected javax.swing.JTextField tfJour;
    protected javax.swing.JTextField tfLocalite;
    private javax.swing.JTextField tfTitreDetailContrat;
    private javax.swing.JTextField tfTitreDetailContrat1;
    private javax.swing.JPanel viewAccident;
    private javax.swing.JPanel viewTable;
    private javax.swing.JPanel viewTableCertificat;
    private javax.swing.JPanel viewTableLesion;
    // End of variables declaration//GEN-END:variables
    /**
     * 
     */
    private void initGui() {

    	popupSuite.removeAllItems();
    	popupSuite.addItem("");
    	popupSuite.addItem("Sans Arrêt de travail");
    	popupSuite.addItem("Avec arrêt de travail > 24H");
    	popupSuite.addItem("Décès immédiat");
    	
    	btnAjouter.setIcon(CocktailIcones.ICON_ADD);
    	btnModifier.setIcon(CocktailIcones.ICON_UPDATE);
    	btnSupprimer.setIcon(CocktailIcones.ICON_DELETE);

    	btnValider.setIcon(CocktailIcones.ICON_VALID);
    	btnAnnuler.setIcon(CocktailIcones.ICON_CANCEL);

    	btnAjouterLesion.setIcon(CocktailIcones.ICON_ADD);
    	btnModifierLesion.setIcon(CocktailIcones.ICON_UPDATE);
    	btnSupprimerLesion.setIcon(CocktailIcones.ICON_DELETE);
    	
    	btnAjouterCertificat.setIcon(CocktailIcones.ICON_ADD);
    	btnModifierCertificat.setIcon(CocktailIcones.ICON_UPDATE);
    	btnSupprimerCertificat.setIcon(CocktailIcones.ICON_DELETE);

		getBtnConges().setIcon(CocktailIcones.ICON_COCHE);

    	Vector<ZEOTableModelColumn> myCols = new Vector<ZEOTableModelColumn>();

    	ZEOTableModelColumn col = new ZEOTableModelColumn(eod, EODeclarationAccident.DACC_DATE_KEY, "Date", 75);
    	col.setAlignment(SwingConstants.CENTER);
		col.setFormatDisplay(CocktailFormats.FORMAT_DATE_DDMMYYYY);
		col.setColumnClass(Date.class);
    	myCols.add(col);
   	    col = new ZEOTableModelColumn(eod, EODeclarationAccident.DACC_HEURE_KEY, "Heure", 75);
    	col.setAlignment(SwingConstants.CENTER);
    	myCols.add(col);
   	    col = new ZEOTableModelColumn(eod, EODeclarationAccident.TYPE_ACCIDENT_KEY+"."+EOTypeAccidentTrav.LIBELLE_LONG_KEY, "Type", 100);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EODeclarationAccident.LIEU_ACCIDENT_KEY, "Lieu", 125);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);

    	myTableModel = new ZEOTableModel(eod, myCols);
		myTableSorter = new TableSorter(myTableModel);

		myEOTable = new ZEOTable(myTableSorter);
		//myEOTable.addListener(myListenerContrat);
		myTableSorter.setTableHeader(myEOTable.getTableHeader());		

		myEOTable.setBackground(CocktailConstantes.COLOR_BKG_TABLE_VIEW);
		myEOTable.setSelectionBackground(CocktailConstantes.COLOR_SELECTED_ROW);
		myEOTable.setSelectionMode(ListSelectionModel.SINGLE_INTERVAL_SELECTION);
		
		viewTable.setLayout(new BorderLayout());
		viewTable.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTable.removeAll();
		viewTable.add(new JScrollPane(myEOTable), BorderLayout.CENTER);
		
		
    	myCols = new Vector<ZEOTableModelColumn>();

    	col = new ZEOTableModelColumn(eodLesion, EORepartLesions.NATURE_LESION_KEY+"."+EONatureLesions.LIBELLE_LONG_KEY, "Nature", 75);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodLesion, EORepartLesions.SIEGE_LESION_KEY+"."+EOSiegeLesions.LIBELLE_LONG_KEY, "Siège", 75);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);

    	myTableModelLesion = new ZEOTableModel(eodLesion, myCols);
		myTableSorterLesion = new TableSorter(myTableModelLesion);

		myEOTableLesion = new ZEOTable(myTableSorterLesion);
		myTableSorterLesion.setTableHeader(myEOTableLesion.getTableHeader());		

		myEOTableLesion.setBackground(CocktailConstantes.COLOR_BKG_TABLE_VIEW);
		myEOTableLesion.setSelectionBackground(CocktailConstantes.COLOR_SELECTED_ROW);
		myEOTableLesion.setSelectionMode(ListSelectionModel.SINGLE_INTERVAL_SELECTION);
		
		viewTableLesion.setLayout(new BorderLayout());
		viewTableLesion.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTableLesion.removeAll();
		viewTableLesion.add(new JScrollPane(myEOTableLesion), BorderLayout.CENTER);

		
    	myCols = new Vector<ZEOTableModelColumn>();

    	col = new ZEOTableModelColumn(eodCertificat, EOCertificatMedical.CMED_DATE_KEY, "Date", 75);
    	col.setAlignment(SwingConstants.CENTER);
		col.setFormatDisplay(CocktailFormats.FORMAT_DATE_DDMMYYYY);
		col.setColumnClass(Date.class);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodCertificat, EOCertificatMedical.CMED_TYPE_KEY, "Type", 40);
    	col.setAlignment(SwingConstants.CENTER);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodCertificat, EOCertificatMedical.CMED_ATI_KEY, "ATI", 40);
    	col.setAlignment(SwingConstants.CENTER);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodCertificat, EOCertificatMedical.CMED_ARRET_DATE_KEY, "Arrêt", 75);
    	col.setAlignment(SwingConstants.CENTER);
		col.setFormatDisplay(CocktailFormats.FORMAT_DATE_DDMMYYYY);
		col.setColumnClass(Date.class);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodCertificat, EOCertificatMedical.CMED_SOINS_DATE_KEY, "Soins", 75);
    	col.setAlignment(SwingConstants.CENTER);
		col.setFormatDisplay(CocktailFormats.FORMAT_DATE_DDMMYYYY);
		col.setColumnClass(Date.class);
    	myCols.add(col);

    	myTableModelCertificat = new ZEOTableModel(eodCertificat, myCols);
		myTableSorterCertificat = new TableSorter(myTableModelCertificat);

		myEOTableCertificat = new ZEOTable(myTableSorterCertificat);
		myTableSorterCertificat.setTableHeader(myEOTableCertificat.getTableHeader());		

		myEOTableCertificat.setBackground(CocktailConstantes.COLOR_BKG_TABLE_VIEW);
		myEOTableCertificat.setSelectionBackground(CocktailConstantes.COLOR_SELECTED_ROW);
		myEOTableCertificat.setSelectionMode(ListSelectionModel.SINGLE_INTERVAL_SELECTION);
		
		viewTableCertificat.setLayout(new BorderLayout());
		viewTableCertificat.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTableCertificat.removeAll();
		viewTableCertificat.add(new JScrollPane(myEOTableCertificat), BorderLayout.CENTER);

		
    }

	public javax.swing.JButton getBtnConges() {
		return btnConges;
	}

	public void setBtnConges(javax.swing.JButton btnConges) {
		this.btnConges = btnConges;
	}

	public EODisplayGroup getEod() {
		return eod;
	}

	public javax.swing.JLabel getLblConge() {
		return lblConge;
	}

	public void setLblConge(javax.swing.JLabel lblConge) {
		this.lblConge = lblConge;
	}

	public void setEod(EODisplayGroup eod) {
		this.eod = eod;
	}

	public ZEOTable getMyEOTable() {
		return myEOTable;
	}

	public void setMyEOTable(ZEOTable myEOTable) {
		this.myEOTable = myEOTable;
	}

	public ZEOTable getMyEOTableCertificat() {
		return myEOTableCertificat;
	}

	public void setMyEOTableCertificat(ZEOTable myEOTableCertificat) {
		this.myEOTableCertificat = myEOTableCertificat;
	}

	public ZEOTable getMyEOTableLesion() {
		return myEOTableLesion;
	}

	public void setMyEOTableLesion(ZEOTable myEOTableLesion) {
		this.myEOTableLesion = myEOTableLesion;
	}

	public ZEOTableModel getMyTableModel() {
		return myTableModel;
	}

	public void setMyTableModel(ZEOTableModel myTableModel) {
		this.myTableModel = myTableModel;
	}

	public javax.swing.JButton getBtnAjouter() {
		return btnAjouter;
	}

	public void setBtnAjouter(javax.swing.JButton btnAjouter) {
		this.btnAjouter = btnAjouter;
	}

	public javax.swing.JButton getBtnAjouterCertificat() {
		return btnAjouterCertificat;
	}

	public void setBtnAjouterCertificat(javax.swing.JButton btnAjouterCertificat) {
		this.btnAjouterCertificat = btnAjouterCertificat;
	}

	public javax.swing.JButton getBtnAjouterLesion() {
		return btnAjouterLesion;
	}

	public void setBtnAjouterLesion(javax.swing.JButton btnAjouterLesion) {
		this.btnAjouterLesion = btnAjouterLesion;
	}

	public javax.swing.JButton getBtnAnnuler() {
		return btnAnnuler;
	}

	public void setBtnAnnuler(javax.swing.JButton btnAnnuler) {
		this.btnAnnuler = btnAnnuler;
	}

	public javax.swing.JButton getBtnModifier() {
		return btnModifier;
	}

	public void setBtnModifier(javax.swing.JButton btnModifier) {
		this.btnModifier = btnModifier;
	}

	public javax.swing.JButton getBtnModifierCertificat() {
		return btnModifierCertificat;
	}

	public void setBtnModifierCertificat(javax.swing.JButton btnModifierCertificat) {
		this.btnModifierCertificat = btnModifierCertificat;
	}

	public javax.swing.JButton getBtnModifierLesion() {
		return btnModifierLesion;
	}

	public void setBtnModifierLesion(javax.swing.JButton btnModifierLesion) {
		this.btnModifierLesion = btnModifierLesion;
	}

	public javax.swing.JButton getBtnSupprimer() {
		return btnSupprimer;
	}

	public void setBtnSupprimer(javax.swing.JButton btnSupprimer) {
		this.btnSupprimer = btnSupprimer;
	}

	public javax.swing.JButton getBtnSupprimerCertificat() {
		return btnSupprimerCertificat;
	}

	public void setBtnSupprimerCertificat(javax.swing.JButton btnSupprimerCertificat) {
		this.btnSupprimerCertificat = btnSupprimerCertificat;
	}

	public javax.swing.JButton getBtnSupprimerLesion() {
		return btnSupprimerLesion;
	}

	public void setBtnSupprimerLesion(javax.swing.JButton btnSupprimerLesion) {
		this.btnSupprimerLesion = btnSupprimerLesion;
	}

	public javax.swing.JButton getBtnValider() {
		return btnValider;
	}

	public void setBtnValider(javax.swing.JButton btnValider) {
		this.btnValider = btnValider;
	}

	public javax.swing.JComboBox getPopupLieux() {
		return popupLieux;
	}

	public void setPopupLieux(javax.swing.JComboBox popupLieux) {
		this.popupLieux = popupLieux;
	}

	public javax.swing.JComboBox getPopupSuite() {
		return popupSuite;
	}

	public void setPopupSuite(javax.swing.JComboBox popupSuite) {
		this.popupSuite = popupSuite;
	}

	public javax.swing.JComboBox getPopupType() {
		return popupType;
	}

	public void setPopupType(javax.swing.JComboBox popupType) {
		this.popupType = popupType;
	}

	public javax.swing.JTextArea getTaCirconstances() {
		return taCirconstances;
	}

	public void setTaCirconstances(javax.swing.JTextArea taCirconstances) {
		this.taCirconstances = taCirconstances;
	}

	public javax.swing.JTextArea getTaLieuTransport() {
		return taLieuTransport;
	}

	public void setTaLieuTransport(javax.swing.JTextArea taLieuTransport) {
		this.taLieuTransport = taLieuTransport;
	}

	public javax.swing.JTextField getTfDate() {
		return tfDate;
	}

	public void setTfDate(javax.swing.JTextField tfDate) {
		this.tfDate = tfDate;
	}

	public javax.swing.JTextField getTfHeure() {
		return tfHeure;
	}

	public void setTfHeure(javax.swing.JTextField tfHeure) {
		this.tfHeure = tfHeure;
	}

	public javax.swing.JTextField getTfHeureAm1() {
		return tfHeureAm1;
	}

	public void setTfHeureAm1(javax.swing.JTextField tfHeureAm1) {
		this.tfHeureAm1 = tfHeureAm1;
	}

	public javax.swing.JTextField getTfHeureAm2() {
		return tfHeureAm2;
	}

	public void setTfHeureAm2(javax.swing.JTextField tfHeureAm2) {
		this.tfHeureAm2 = tfHeureAm2;
	}

	public javax.swing.JTextField getTfHeurePm1() {
		return tfHeurePm1;
	}

	public void setTfHeurePm1(javax.swing.JTextField tfHeurePm1) {
		this.tfHeurePm1 = tfHeurePm1;
	}

	public javax.swing.JTextField getTfHeurePm2() {
		return tfHeurePm2;
	}

	public void setTfHeurePm2(javax.swing.JTextField tfHeurePm2) {
		this.tfHeurePm2 = tfHeurePm2;
	}

	public javax.swing.JTextField getTfJour() {
		return tfJour;
	}

	public void setTfJour(javax.swing.JTextField tfJour) {
		this.tfJour = tfJour;
	}

	public javax.swing.JTextField getTfLocalite() {
		return tfLocalite;
	}

	public void setTfLocalite(javax.swing.JTextField tfLocalite) {
		this.tfLocalite = tfLocalite;
	}

	public javax.swing.JTextField getTfTitreDetailContrat() {
		return tfTitreDetailContrat;
	}

	public void setTfTitreDetailContrat(javax.swing.JTextField tfTitreDetailContrat) {
		this.tfTitreDetailContrat = tfTitreDetailContrat;
	}

	public javax.swing.JTextField getTfTitreDetailContrat1() {
		return tfTitreDetailContrat1;
	}

	public void setTfTitreDetailContrat1(
			javax.swing.JTextField tfTitreDetailContrat1) {
		this.tfTitreDetailContrat1 = tfTitreDetailContrat1;
	}

	public javax.swing.JPanel getViewAccident() {
		return viewAccident;
	}

	public void setViewAccident(javax.swing.JPanel viewAccident) {
		this.viewAccident = viewAccident;
	}

	public javax.swing.JPanel getViewTable() {
		return viewTable;
	}

	public void setViewTable(javax.swing.JPanel viewTable) {
		this.viewTable = viewTable;
	}

	public javax.swing.JPanel getViewTableCertificat() {
		return viewTableCertificat;
	}

	public void setViewTableCertificat(javax.swing.JPanel viewTableCertificat) {
		this.viewTableCertificat = viewTableCertificat;
	}

	public javax.swing.JPanel getViewTableLesion() {
		return viewTableLesion;
	}

	public void setViewTableLesion(javax.swing.JPanel viewTableLesion) {
		this.viewTableLesion = viewTableLesion;
	}



}
